Search Results for

Show / Hide Table of Contents

# Class DateTimeEventArgs<T>

Defines the event arguments for DateChanged and TimeChanged events.

##### Inheritance

System.Object
System.EventArgs
DateTimeEventArgs<T>

##### Inherited Members

System.EventArgs.Empty
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class DateTimeEventArgs<T> : EventArgs

##### Type Parameters

Name | Description
--- | ---
T |

### Constructors

#### DateTimeEventArgs(T, T, String)

Initializes a new instance of DateTimeEventArgs<T>

##### Declaration

    public DateTimeEventArgs(T oldValue, T newValue, string format)

##### Parameters

Type | Name | Description
--- | --- | ---
T | oldValue | The old DateField or TimeField value.
T | newValue | The new DateField or TimeField value.
System.String | format | The DateField or TimeField format string.

### Properties

#### Format

The DateField or TimeField format.

##### Declaration

    public string Format { get; }

##### Property Value

Type | Description
--- | ---
System.String |

#### NewValue

The new DateField or TimeField value.

##### Declaration

    public T NewValue { get; }

##### Property Value

Type | Description
--- | ---
T |

#### OldValue

The old DateField or TimeField value.

##### Declaration

    public T OldValue { get; }

##### Property Value

Type | Description
--- | ---
T |